PAPI_cleanup_eventset(3)

NAME
PAPI_cleanup_eventset -

Empty and destroy an EventSet.

SYNOPSIS

Detailed Description

@par C Interface:

int PAPI_cleanup_eventset( int  EventSet );

PAPI_cleanup_eventset removes all events from a PAPI event set and turns off profiling and overflow for all events in the EventSet. This can not be called if the EventSet is not stopped.

Parameters:
    EventSet An integer handle for a PAPI event set as created by PAPI_create_eventset.

Return values:
    PAPI_EINVAL One or more of the arguments is invalid. Attempting to destroy a non-empty event set or passing in a null pointer to be destroyed.
    PAPI_ENOEVST The EventSet specified does not exist.
    PAPI_EISRUN The EventSet is currently counting events.
    PAPI_EBUG Internal error, send mail to ptools-perfapi@icl.utk.edu and complain.

Examples:

    *   // Remove all events in the eventset
    *   if ( PAPI_cleanup_eventset( EventSet ) != PAPI_OK )
    *   handle_error( 1 );
    *

@see PAPI_profil @n
PAPI_create_eventset @n
PAPI_add_event @n
PAPI_stop.fi

Author

Generated automatically by Doxygen for PAPI from the source code.